Retrieve Tickets that belong to the current Company
curl --request GET \
--url https://api.tread-horizon.com/v1/tickets \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tread-horizon.com/v1/tickets"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tread-horizon.com/v1/tickets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ticket_number": "<string>",
"preview_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"quantity": "<string>",
"unit_of_measure": "Load",
"job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"order_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"image_url": "<string>",
"image_mime_type": "<string>",
"preview_mime_type": "<string>",
"ocr_ticket_number": "<string>",
"ocr_net_quantity_ton": "<string>",
"ocr_processed": true,
"load_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source": "driver_app",
"flagged": true,
"missing_info": true,
"printed_at": "2023-11-07T05:31:56Z",
"ocr_ticket_number_confidence": "\"1.0\", \"90.5\", null",
"ocr_net_quantity_ton_confidence": "\"1.0\", \"90.5\", null",
"ocr_service_date": "2023-11-07T05:31:56Z",
"ocr_service_date_raw_str": "<string>",
"ai_processed": true,
"material": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"external_id": "<string>"
},
"state_events": [],
"service_date": "2023-11-07T05:31:56Z",
"friendly_job_id": "<string>",
"customer_name": "<string>",
"project_name": "<string>",
"dispatch_number_name": "<string>",
"equipment_name": "<string>",
"driver_name": "<string>",
"vendor_name": "<string>",
"material_name": "<string>",
"pickup_site_name": "<string>",
"dropoff_site_name": "<string>",
"external_truck_id": "<string>",
"external_vendor_name": "<string>",
"external_material_material_name": "<string>",
"external_net_weight": "<string>",
"external_net_weight_unit": "<string>",
"external_ticket_number": "<string>"
}
]
}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Tickets
Retrieve Tickets that belong to the current Company
Retrieve Tickets for a Company
Filter usage:
- to filter a from date:
filter[from_date] - to filter a to date:
filter[to_date]
GET
/
v1
/
tickets
Retrieve Tickets that belong to the current Company
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Query Parameters
The maximum number of paginated results to return
Required range:
x <= 100The cursor to start paginating after
The cursor to stop paginating at
Start range of ticket.created_at
End range of ticket.created_at
Filter to only flagged or un-flagged Tickets
Response
OK
Show child attributes
Show child attributes
⌘I